Package Details: musique 1.10.1-2

Git Clone URL: https://aur.archlinux.org/musique.git (read-only, click to copy)
Package Base: musique
Description: A finely crafted music player
Upstream URL: https://flavio.tordini.org/musique
Licenses: GPL3
Submitter: City-busz
Maintainer: mrxx
Last Packager: City-busz
Votes: 4
Popularity: 0.175212
First Submitted: 2018-06-02 16:16
Last Updated: 2021-05-22 20:42

Latest Comments

mrxx commented on 2021-02-05 11:59

Thank you, Corax. Make-dependency qt5-declarative added.

Corax commented on 2021-02-03 21:29

@mrxx: please add qt5-declarative to makedepends, without it I get:

Project MESSAGE: Building Musique 1.10.1
Project MESSAGE: Qt 5.15.2 in /usr
Project MESSAGE: Building for release
Project MESSAGE: QT: core gui network sql widgets dbus qml dbus
Project MESSAGE: CONFIG: lex yacc debug exceptions depend_includepath testcase_targets import_plugins import_qpa_plugin file_copies qmake_use qt warn_on release link_prl incremental shared shared release linux unix posix gcc c++17 exceptions_off optimize_full object_parallel_to_source
Project MESSAGE: DEFINES: APP_VERSION=1.10.1 APP_NAME=Musique APP_UNIX_NAME=musique QT_NO_DEBUG_OUTPUT QT_USE_QSTRINGBUILDER QT_STRICT_ITERATORS QT_DEPRECATED_WARNINGS HTTP MEDIA_MPV MEDIA_AUDIOONLY APP_LINUX DATADIR=\"/usr/share\" PKGDATADIR=\"/usr/share/musique\"
Project MESSAGE: QMAKE_CXXFLAGS: -pipe
Project MESSAGE: QMAKE_LFLAGS:
Project ERROR: Unknown module(s) in QT: qml
==> ERROR: A failure occurred in build().
    Aborting...
error making: musique

mrxx commented on 2020-08-01 19:23

Thanks for the clarification. Dependency qt5-base added.

yochananmarqos commented on 2020-07-31 16:32

@mrxx: makedepends() are only build dependencies. qt5-base is a runtime dependency. Without it in depends(), if you run makepkg -srif it will remove qt5-tools and qt5-base.

mrxx commented on 2020-07-31 16:28

Removed dependency phonon-qt5. (No need for qt5-base as it is already pulled in as a dependency of qt5-tools.)

City-busz commented on 2020-07-28 08:26

phonon-qt5 is no longer used. Please replace it with qt5-base in dependencies.

mrxx commented on 2020-07-27 16:02

Thank you, yochananmarqos. I've updated the PKGBUILD accordingly.

yochananmarqos commented on 2020-07-26 16:12

Your first sed line is no longer necessary.

Please use git submodules:

source=("git+https://github.com/flaviotordini/musique.git#tag=$pkgver"
        'git+https://github.com/flaviotordini/http.git'
        'git+https://github.com/flaviotordini/idle.git'
        'git+https://github.com/flaviotordini/media.git')
        'git+https://github.com/flaviotordini/updater.git')
prepare() {
  git submodule init
  git config submodule.lib/http.url "$srcdir/http"
  git config submodule.lib/idle.url "$srcdir/idle"
  git config submodule.lib/media.url "$srcdir/media"
  git config submodule.lib/updater.url "$srcdir/updater"
  git submodule update

  sed -i '1313d;1315i#ifdef APP_EXTRA' src/mainwindow.cpp
}

No need to manually create a build folder, it's done automatically.

Please add finetune to optdepends(). There is a menu option to open it directly in Musique.

mrxx commented on 2019-04-24 12:27

Thanks, nyctanthous. Added mpv as dependency.

nyctanthous commented on 2019-04-22 23:18

Musique needs mpv added to the PKGBUILD, otherwise will raise an error because it cannot find mpv/client.h